{% extends "base.html" %} {% block title %}Préparation du vol{% endblock %} {%
block head %} {{ super() }}

<link rel="stylesheet" href="{{url_for('static', filename='form.css')}}" />

<script>
  var planes = JSON.parse({{ form.planes | tojson | safe }});
</script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

<script
  type="text/javascript"
  src="{{url_for('static', filename='prepflight.js')}}"
></script>

{% endblock %} {% block content %} {% from "_formhelpers.html" import
render_field %}

<!-- <div class="column is-4 is-offset-4"> -->
<h3 class="title">Préparation du vol</h3>

<div class="formcontainer">
  <form id="balance" method="POST" action="/">
    {{ form.hidden_tag() }} {% with errors =
    get_flashed_messages(category_filter=["error"]) %} {% if errors %}
    <fieldset>
      <div class="notification is-danger" align="center">
        <ul class="formerrors">
          {% for error in errors %}
          <dl>{{ error }}</dl>
          {% endfor %} {% if plane %} {% for reason in plane.reasons %}
          <li>{{ reason }}</li>
          {% endfor %} {% endif %}
        </ul>
      </div>
    </fieldset>
    {% endif %} {% endwith %}

    <fieldset>
      <legend>Masse et centrage</legend>
      <div class="wrapper1">
        <div class="gridbox callsign">
          Call sign {{ form.callsign }}
        </div>
        <div class="gridbox aircraft">
          <dt id="planetype"></dt>
        </div>

        <div class="wrapper1">
          <div class="gridbox bew">
            <dt id="bew"></dt>
          </div>
          <div class="gridbox bearm">
            <dt id="bearm"></dt>
          </div>
          <div class="gridbox bemoment">
            <dt id="bemoment"></dt>
          </div>
        </div>
      </div>
      <div class="wrapper1">
        <div class="gridbox pax0">
          {{ render_field(form.pax0, "cdb (kg)") }}
        </div>

        <div class="gridbox pax1">
          pax (kg) {{ form.pax1 }}
        </div>
        <div class="wrapper1">
          <div class="gridbox frontweight">
            <dt id="frontweight"></dt>
          </div>
          <div class="gridbox frontarm">
            <dt id="frontarm"></dt>
          </div>
          <div class="gridbox frontmoment">
            <dt id="frontmoment"></dt>
          </div>
        </div>
      </div>
      <div class="wrapper1">
        <div class="gridbox pax2">
          pax (kg) {{ form.pax2 }}
        </div>
        <div class="gridbox pax3">
          pax (kg) {{ form.pax3 }}
        </div>
        <div class="wrapper1">
          <div class="gridbox rearweight">
            <dt id="rearweight"></dt>
          </div>
          <div class="gridbox reararm">
            <dt id="reararm"></dt>
          </div>
          <div class="gridbox rearmoment">
            <dt id="rearmoment"></dt>
          </div>
        </div>
      </div>
      <div class="wrapper1">
        <div class="gridbox baglabel">
          bagages (kg)
        </div>
        <div class="gridbox bag">
          {{ form.baggage }}
        </div>
        <div class="wrapper1">
          <div class="gridbox bagweight">
            <dt id="bagweight"></dt>
          </div>
          <div class="gridbox bagarm">
            <dt id="bagarm"></dt>
          </div>
          <div class="gridbox bagmoment">
            <dt id="bagmoment"></dt>
          </div>
        </div>
      </div>
      <div class="wrapper1">
        <div class="gridbox baglabel2">
          bagages 2 (kg)
        </div>
        <div class="gridbox bag2">
          {{ form.baggage2 }}
        </div>
        <div class="wrapper1">
          <div class="gridbox bagweight2">
            <dt id="bagweight2"></dt>
          </div>
          <div class="gridbox bagarm2">
            <dt id="bagarm2"></dt>
          </div>
          <div class="gridbox bagmoment2">
            <dt id="bagmoment2"></dt>
          </div>
        </div>
      </div>
      <div class="wrapper1">
        <div class="gridbox fuelgaugelabel">
          fuel pcpl (L)
        </div>
        <div class="gridbox fuelgauge">
          {{ form.mainfuel }}
        </div>
        <div class="wrapper1">
          <div class="gridbox fuelweight">
            <dt id="mainfuelmass"></dt>
          </div>
          <div class="gridbox fuelarm">
            <dt id="mainfuelarm"></dt>
          </div>
          <div class="gridbox fuelmoment">
            <dt id="mainfuelmoment"></dt>
          </div>
        </div>
      </div>
      <div class="wrapper1">
        <div class="gridbox leftwinggaugelabel">
          fuel aile g. (L) {{ form.leftwingfuel }}
        </div>
        <div class="gridbox rightwinggaugelabel">
          fuel aile d. (L) {{ form.rightwingfuel }}
        </div>
        <div class="wrapper1">
          <div class="gridbox wingfuelweight">
            <dt id="wingfuelweight"></dt>
          </div>
          <div class="gridbox wingfuelarm">
            <dt id="wingfuelarm"></dt>
          </div>
          <div class="gridbox wingfuelmoment">
            <dt id="wingfuelmoment"></dt>
          </div>
        </div>
      </div>
      <div class="wrapper1">
        <div class="gridbox auxfuelgaugelabel">
          fuel suppl. (L)
        </div>
        <div class="gridbox auxfuelgauge">
          {{ form.auxfuel }}
        </div>
        <div class="wrapper1">
          <div class="gridbox auxfuelweight">
            <dt id="auxfuelmass"></dt>
          </div>
          <div class="gridbox auxfuelarm">
            <dt id="auxfuelarm"></dt>
          </div>
          <div class="gridbox auxfuelmoment">
            <dt id="auxfuelmoment"></dt>
          </div>
        </div>
      </div>
      <div class="wrapper1">
        <div class="gridbox total">
          <b id="total"> TOTAL </b>
        </div>
        <div></div>
        <div class="wrapper1">
          <div class="gridbox auw">
            <b id="auw"></b>
          </div>
          <div class="gridbox cg">
            <b id="cg"></b>
          </div>
          <div class="gridbox allmoment">
            <b id="moment"></b>
          </div>
        </div>
      </div>
    </fieldset>

    <fieldset>
      <legend>Performances</legend>
      <div class="wrapper1">
        <div class="wrapper2">
          <div class="gridbox">
            <b>Décollage</b>
          </div>
          <div class="gridbox">
            {{ render_field(form.tkalt) }}
          </div>
          <div class="gridbox">
            {{ render_field(form.tktemp) }}
          </div>
          <div class="gridbox">
            {{ render_field(form.tkqnh) }}
          </div>
        </div>
        <div class="wrapper2">
          <div class="gridbox">
            <b>Atterrissage</b>
          </div>
          <div class="gridbox">
            {{ render_field(form.ldalt) }}
          </div>
          <div class="gridbox">
            {{ render_field(form.ldtemp) }}
          </div>
          <div class="gridbox">
            {{ render_field(form.ldqnh) }}
          </div>
        </div>
      </div>
    </fieldset>
    <fieldset>
      <legend>Validation</legend>
      <div class="wrapper1">
        <div class="wrapper2">
            {{ form.submit(class="button is-success") }}
        </div>
        <div class="wrapper2">
          <input id="resetform" type="button" class="button is-info" value="Reset"></input>
        </div>
      </div>
    </fieldset>
  </form>
</div>

{% endblock %}
